using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using WCS.BLL.Config;
using WCS.BLL.DbModels;
using WCS.BLL.HardWare;
using WCS.DAL.Db;
using WCS.DAL.DbModels;

namespace WCS.BLL.Manager
{
    public static class ShelfManager
    {
        public static List<IShelfBase> Shelves { get; set; } = new List<IShelfBase>();
        static ShelfManager()
        {

        }

        public static void InitShelves()
        {
            Logs.Write("【InitShelves】开始", LogsType.StartBoot);

            var shelvesInDbQueryable = DbHelp.db.Queryable<ShelfInfo>(); 
            var shelvesInDb = shelvesInDbQueryable.ToList();
            foreach (var shelfInDb in shelvesInDb)
            {
                Shelves.Add(InitShelf(shelfInDb));
            }

            Logs.Write("【InitShelves】结束", LogsType.StartBoot);
        }

        public static IShelfBase InitShelf(ShelfInfo shelfInDb)
        {
            return null;
        }
    }
}
